"""
Program  : SDMinP
Version  : 1.0
Date     : 16.03.2005
Purpose  : Adjustment of the multiple type I error (FWER)
Programer: Markus Obreiter
Contact  : m.obreiter@dkfz-heidelberg.de
Copyright (C) 2005 Deutsches Krebsforschungszentrum, DKFZ (German Cancer
Research Center), Division of Clinical
Epidemiology

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your option)
any later version. 
This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation,
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

A copy of the GNU Public License is attached to the program documentation.
"""

import os

class Environment:

    def __init__(self, appCfgObject):
        self.appConfig = appCfgObject
        
    def createDirectoryEnvironment(self):
        logDirectory       = self.appConfig.logFileDirectory
        resultDirectory    = self.appConfig.resultFileDirectory
        splitFileDirectory = self.appConfig.splitFile_Directory

        # create directories, if not existent
        if not os.path.isdir(logDirectory)      : os.mkdir(logDirectory)
        if not os.path.isdir(resultDirectory)   : os.mkdir(resultDirectory)
        if not os.path.isdir(splitFileDirectory): os.mkdir(splitFileDirectory)

    def emptySplitFileDirectory(self):

        if not os.path.isdir(self.appConfig.splitFile_Directory): return 0

        for file in os.listdir(self.appConfig.splitFile_Directory):
            if os.path.splitext(file)[1] == self.appConfig.splitFile_Extension:
                p = self.appConfig.splitFile_Directory + os.sep + file
                os.remove(p)            
